    001    /* ===========================================================
    002     * JFreeChart : a free chart library for the Java(tm) platform
    003     * ===========================================================
    004     *
    005     * (C) Copyright 2000-2007, by Object Refinery Limited and Contributors.
    006     *
    007     * Project Info:  http://www.jfree.org/jfreechart/index.html
    008     *
    009     * This library is free software; you can redistribute it and/or modify it
    010     * under the terms of the GNU Lesser General Public License as published by
    011     * the Free Software Foundation; either version 2.1 of the License, or
    012     * (at your option) any later version.
    013     *
    014     * This library is distributed in the hope that it will be useful, but
    015     * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
    016     * or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public
    017     * License for more details.
    018     *
    019     * You should have received a copy of the GNU Lesser General Public
    020     * License along with this library; if not, write to the Free Software
    021     * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301,
    022     * USA.
    023     *
    024     * [Java is a trademark or registered trademark of Sun Microsystems, Inc.
    025     * in the United States and other countries.]
    026     *
    027     * -----------------
    028     * XYAnnotation.java
    029     * -----------------
    030     * (C) Copyright 2002-2007, by Object Refinery Limited.
    031     *
    032     * Original Author:  David Gilbert (for Object Refinery Limited);
    033     * Contributor(s):   -;
    034     *
    035     * Changes:
    036     * --------
    037     * 28-Aug-2002 : Version 1 (DG);
    038     * 07-Nov-2002 : Fixed errors reported by Checkstyle (DG);
    039     * 13-Jan-2003 : Reviewed Javadocs (DG);
    040     * 09-May-2003 : Added plot to draw() method (DG);
    041     * 02-Jul-2003 : Eliminated the Annotation base interface (DG);
    042     * 29-Sep-2004 : Added 'rendererIndex' and 'info' parameter to draw() method
    043     *               to support chart entities (tool tips etc) (DG);
    044     *
    045     */
    046
    047    package org.jfree.chart.annotations;
    048
    049    import java.awt.Graphics2D;
    050    import java.awt.geom.Rectangle2D;
    051
    052    import org.jfree.chart.axis.ValueAxis;
    053    import org.jfree.chart.plot.PlotRenderingInfo;
    054    import org.jfree.chart.plot.XYPlot;
    055
    056    /**
    057     * The interface that must be supported by annotations that are to be added to
    058     * an {@link XYPlot}.
    059     */
    060    public interface XYAnnotation {
    061
    062        /**
    063         * Draws the annotation.
    064         *
    065         * @param g2  the graphics device.
    066         * @param plot  the plot.
    067         * @param dataArea  the data area.
    068         * @param domainAxis  the domain axis.
    069         * @param rangeAxis  the range axis.
    070         * @param rendererIndex  the renderer index.
    071         * @param info  an optional info object that will be populated with
    072         *              entity information.
    073         */
    074        public void draw(Graphics2D g2, XYPlot plot, Rectangle2D dataArea,
    075                         ValueAxis domainAxis, ValueAxis rangeAxis,
    076                         int rendererIndex,
    077                         PlotRenderingInfo info);
    078
    079    }